Support GnuPG2 in KNewstuff3

Review Request #102439 - Created Aug. 25, 2011 and submitted

Information
Volker Krause
kdelibs
4.7
Reviewers
kdelibs
So far knewstuff has "gpg" hardcoded as the executable name for GnuPG. This patch also allows the use of "gpg2" instead, if the "gpg" executable is not present (both are compatible as far as we are concerned here). Since kdepim* requires GnuPG2, you are most likely using gpg2 already anyway, via backward compatibility forwards. On MeeGo however this is not available and packages for GnuPG1 and 2 are not installable at the same time.

  
Jeremy Whiting
Looks good, go for it.
Commit Hook
This review has been submitted with commit 9eb9f85698a3c0283f8e50b1a904b5b53d5f80ab by Volker Krause to branch KDE/4.7.
Loading...